### Method

# Gtk Grid query_child

#### Declaration [src]

    void
    gtk_grid_query_child (
      GtkGrid* grid,
      GtkWidget* child,
      int* column,
      int* row,
      int* width,
      int* height
    )

#### Description [src]

Queries the attach points and spans of `child` inside the given `GtkGrid`.

#### Parameters

`child` | `GtkWidget`
| A `GtkWidget` child of `grid`.
| The data is owned by the caller of the function.
`column` | `int*`
| The column used to attach the left side of `child`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`row` | `int*`
| The row used to attach the top side of `child`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`width` | `int*`
| The number of columns `child` spans.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`height` | `int*`
| The number of rows `child` spans.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.